DRM_ATOMIC_HELPER_PR(9)

NAME
drm_atomic_helper_prepare_planes - prepare plane resources after commit

SYNOPSIS

int drm_atomic_helper_prepare_planes(struct drm_device * dev, struct drm_atomic_state * state);

ARGUMENTS

dev
    DRM device

state
    atomic state object with old state structures

DESCRIPTION

This function prepares plane state, specifically framebuffers, for the new configuration. If any failure is encountered this function will call ->cleanup_fb on any already successfully prepared framebuffer.

RETURNS

0 on success, negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT